﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.0.77
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.18444
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.PosIntegration
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.0.77")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("Cancellation")]
    [NUnit.Framework.CategoryAttribute("PosIntegration")]
    public partial class CancellationFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "Cancellation.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "Cancellation", "", ProgrammingLanguage.CSharp, new string[] {
                        "PosIntegration"});
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save refund transaction to ledger for order cancellation")]
        public virtual void SaveRefundTransactionToLedgerForOrderCancellation()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save refund transaction to ledger for order cancellation", ((string[])(null)));
#line 4
 this.ScenarioSetup(scenarioInfo);
#line 5
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 6
    testRunner.And("5 SKU 500300 sold with line number 1 and source item id equal 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 7
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 8
    testRunner.And("2 items for line 1 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 9
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 10
    testRunner.When("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 11
    testRunner.And("5 SKU 500300 were refunded with cancelled quantity = 2 corresponding to line with" +
                    " source item id 1 from last order", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 12
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 13
    testRunner.Then("There is refund for order in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 14
    testRunner.And("There is refunded line for 5 SKU 500300", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 15
    testRunner.And("There is refunded cash payment for 169.85", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 16
    testRunner.And("Original transaction values are filled in customer table", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 17
    testRunner.And("There is information about order cancellation for line 1 in previous order with r" +
                    "eturned quantity 3 and cancelled quantity 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 18
    testRunner.And("Transaction is marked as Online", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Full cancellation of order")]
        public virtual void FullCancellationOfOrder()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Full cancellation of order", ((string[])(null)));
#line 20
    this.ScenarioSetup(scenarioInfo);
#line 21
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 22
    testRunner.And("5 SKU 500300 sold with line number 1 and source item id equal 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 23
    testRunner.And("3 SKU 100006 sold with line number 2 and source item id equal 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 24
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 25
    testRunner.And("2 items for line 1 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 26
    testRunner.And("2 items for line 2 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 27
    testRunner.And("1 items for line 2 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 28
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 29
    testRunner.When("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 30
    testRunner.And("5 SKU 500300 were refunded with cancelled quantity = 2 corresponding to line with" +
                    " source item id 1 from last order", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 31
    testRunner.And("3 SKU 100006 were refunded with cancelled quantity = 1 corresponding to line with" +
                    " source item id 2 from last order", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 32
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 33
    testRunner.Then("In previous order for line 1 quantity taken = 0; quantity to be delivered = 0; re" +
                    "fund quantity = 5; total quantity = 5", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 34
    testRunner.And("In previous order for line 2 quantity taken = 0; quantity to be delivered = 0; re" +
                    "fund quantity = 3; total quantity = 3", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 35
    testRunner.And("In previous order total units quantity = 8; total quantity taken = 0; total refun" +
                    "ded quantity = 8", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 36
    testRunner.And("Previous order has cancellation state 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Partial cancellation of order")]
        public virtual void PartialCancellationOfOrder()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Partial cancellation of order", ((string[])(null)));
#line 38
    this.ScenarioSetup(scenarioInfo);
#line 39
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 40
    testRunner.And("5 SKU 500300 sold with line number 1 and source item id equal 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 41
    testRunner.And("3 SKU 100006 sold with line number 2 and source item id equal 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 42
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 43
    testRunner.And("2 items for line 1 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 44
    testRunner.And("2 items for line 2 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 45
    testRunner.And("1 items for line 2 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 46
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 47
    testRunner.When("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 48
    testRunner.And("2 SKU 500300 were refunded with cancelled quantity = 1 corresponding to line with" +
                    " source item id 1 from last order", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 49
    testRunner.And("1 SKU 100006 were refunded with cancelled quantity = 1 corresponding to line with" +
                    " source item id 2 from last order", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 50
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 51
    testRunner.Then("In previous order for line 1 quantity taken = 2; quantity to be delivered = 1; re" +
                    "fund quantity = 2; total quantity = 5", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 52
    testRunner.And("In previous order for line 2 quantity taken = 2; quantity to be delivered = 0; re" +
                    "fund quantity = 1; total quantity = 3", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 53
    testRunner.And("In previous order total units quantity = 8; total quantity taken = 4; total refun" +
                    "ded quantity = 3", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 54
    testRunner.And("Previous order has cancellation state 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Order cancellation with multiple lines with similar SKU numbers")]
        public virtual void OrderCancellationWithMultipleLinesWithSimilarSKUNumbers()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Order cancellation with multiple lines with similar SKU numbers", ((string[])(null)));
#line 56
    this.ScenarioSetup(scenarioInfo);
#line 57
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 58
    testRunner.And("5 SKU 500300 sold with line number 1 and source item id equal 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 59
    testRunner.And("3 SKU 100006 sold with line number 2 and source item id equal 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 60
    testRunner.And("10 SKU 500300 sold with line number 3 and source item id equal 3", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 61
    testRunner.And("5 items for line 1 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 62
    testRunner.And("2 items for line 2 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 63
    testRunner.And("1 items for line 2 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 64
    testRunner.And("5 items for line 3 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 65
    testRunner.And("5 items for line 3 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 66
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 67
    testRunner.When("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 68
    testRunner.And("5 SKU 500300 were refunded corresponding to line with source item id 3 from last " +
                    "order", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 69
    testRunner.And("1 SKU 100006 were refunded with cancelled quantity = 1 corresponding to line with" +
                    " source item id 2 from last order", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 70
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 71
    testRunner.Then("In previous order for line 1 quantity taken = 0; quantity to be delivered = 5; re" +
                    "fund quantity = 0; total quantity = 5", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 72
    testRunner.And("In previous order for line 2 quantity taken = 2; quantity to be delivered = 0; re" +
                    "fund quantity = 1; total quantity = 3", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 73
    testRunner.And("In previous order for line 3 quantity taken = 0; quantity to be delivered = 5; re" +
                    "fund quantity = 5; total quantity = 10", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 74
    testRunner.And("In previous order total units quantity = 18; total quantity taken = 2; total refu" +
                    "nded quantity = 6", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Order cancellation for delivered order")]
        public virtual void OrderCancellationForDeliveredOrder()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Order cancellation for delivered order", ((string[])(null)));
#line 76
    this.ScenarioSetup(scenarioInfo);
#line 77
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 78
    testRunner.And("5 SKU 500300 sold with line number 1 and source item id equal 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 79
    testRunner.And("10 SKU 500300 sold with line number 2 and source item id equal 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 80
    testRunner.And("5 items for line 1 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 81
    testRunner.And("5 items for line 2 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 82
    testRunner.And("5 items for line 2 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 83
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 84
    testRunner.When("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 85
    testRunner.And("Previous order has been delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 86
    testRunner.And("5 SKU 500300 were refunded corresponding to line with source item id 1 from last " +
                    "order", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 87
    testRunner.And("7 SKU 100006 were refunded with cancelled quantity = 2 corresponding to line with" +
                    " source item id 2 from last order", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 88
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 89
    testRunner.Then("In previous order for line 1 quantity taken = 0; quantity to be delivered = 5; re" +
                    "fund quantity = 0; total quantity = 5", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 90
    testRunner.And("In previous order for line 2 quantity taken = 5; quantity to be delivered = 5; re" +
                    "fund quantity = 0; total quantity = 10", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 91
    testRunner.And("In previous order total units quantity = 15; total quantity taken = 5; total refu" +
                    "nded quantity = 0", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save delivery order with one cancelled line")]
        public virtual void SaveDeliveryOrderWithOneCancelledLine()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save delivery order with one cancelled line", ((string[])(null)));
#line 93
    this.ScenarioSetup(scenarioInfo);
#line 94
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 95
    testRunner.And("1 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 96
    testRunner.And("1 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 97
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 98
    testRunner.And("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 99
    testRunner.And("1 SKU 100006 were refunded with cancelled quantity = 1 corresponding to line with" +
                    " source item id 1 from last order", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 100
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 101
    testRunner.And("5 items for line 2 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 102
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 103
    testRunner.Then("In first order for line 1 quantity taken = 0; quantity to be delivered = 0; refun" +
                    "d quantity = 1; total quantity = 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 104
    testRunner.And("There is delivery order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 105
    testRunner.And("In previous order for line 1 quantity taken = -1; quantity to be delivered = 0; r" +
                    "efund quantity = 0; total quantity = -1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 106
    testRunner.And("Delivery status for SKU 100006 is 999", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 107
    testRunner.And("In previous order for line 2 quantity taken = 0; quantity to be delivered = 5; re" +
                    "fund quantity = 0; total quantity = 5", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Cancellation of order that does not exist in db")]
        public virtual void CancellationOfOrderThatDoesNotExistInDb()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Cancellation of order that does not exist in db", ((string[])(null)));
#line 109
 this.ScenarioSetup(scenarioInfo);
#line 110
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 111
    testRunner.And("5 SKU 500300 sold with line number 1 and source item id equal 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 112
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 113
    testRunner.And("2 items for line 1 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 114
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 115
    testRunner.And("Data base was cleaned up", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 116
 testRunner.And("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 117
    testRunner.And("2 SKU 500300 were refunded with cancelled quantity = 1 corresponding to line with" +
                    " source item id 1 from last order", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 118
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 119
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 120
    testRunner.And("There is refunded line for 2 SKU 500300", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 121
 testRunner.And("Original transaction values are empty in customer table", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
